Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DevWalker Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addBlastForce
def | debugPrint
def | deleteCollisions
def | disableAvatarControls
def | displayDebugInfo
def | enableAvatarControls
def | flushEventHandlers
def | getSpeeds
def | handleAvatarControls
def | initializeCollisions
def | oneTimeCollide
def | placeOnFloor
def | setAirborneHeightFunc
def | setAvatar
def | setCollisionsActive
def | setFloorBitMask
def | setTag
def | setWalkSpeed
def | setWallBitMask
## Public Attributes
| avatar
| avatarControlForwardSpeed
| avatarControlReverseSpeed
| avatarControlRotateSpeed
| avatarNodePath
| cTrav
| liftSpeed
| rotationSpeed
| slideSpeed
| speed
| task
| vel
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("DevWalker")
tuple | runMultiplier = base.config.GetFloat('dev-run-multiplier', 4.0)
string | slideName = "slide-is-disabled"
tuple | wantDebugIndicator = base.config.GetBool('want-avatar-physics-indicator', 0)

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def addBlastForce | ( |  | self,
|  |  | vector
| ) |  |

def debugPrint | ( |  | self,
|  |  | message
| ) |  |

    for debugging

def deleteCollisions | ( |  | self | ) |

def disableAvatarControls | ( |  | self | ) |

    Ignore the arrow keys, etc.

def displayDebugInfo | ( |  | self | ) |

    For debug use.

def enableAvatarControls | ( |  | self | ) |

    Activate the arrow keys, etc.

def flushEventHandlers | ( |  | self | ) |

def getSpeeds | ( |  | self | ) |

def handleAvatarControls | ( |  | self,
|  |  | task
| ) |  |

    Check on the arrow keys and update the avatar.

def initializeCollisions | ( |  | self,
|  |  | collisionTraverser,
|  |  | avatarNodePath,
|  |  | wallCollideMask,
|  |  | floorCollideMask,
|  |  | avatarRadius = `1.4`,
|  |  | floorOffset = `1.0`,
|  |  | reach = `1.0`
| ) |  |

def oneTimeCollide | ( |  | self | ) |

def placeOnFloor | ( |  | self | ) |

def setAirborneHeightFunc | ( |  | self,
|  |  | getAirborneHeight
| ) |  |

def setAvatar | ( |  | self,
|  |  | avatar
| ) |  |

def setCollisionsActive | ( |  | self,
|  |  | active = `1`
| ) |  |

def setFloorBitMask | ( |  | self,
|  |  | bitMask
| ) |  |

def setTag | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

def setWalkSpeed | ( |  | self,
|  |  | forward,
|  |  | jump,
|  |  | reverse,
|  |  | rotate
| ) |  |

def setWallBitMask | ( |  | self,
|  |  | bitMask
| ) |  |

## Member Data Documentation

avatar

avatarControlForwardSpeed

avatarControlReverseSpeed

avatarControlRotateSpeed

avatarNodePath

cTrav

liftSpeed

tuple notify = DirectNotifyGlobal.directNotify.newCategory("DevWalker")`[static]`

rotationSpeed

tuple runMultiplier = base.config.GetFloat('dev-run-multiplier', 4.0)`[static]`

string slideName = "slide-is-disabled"`[static]`

slideSpeed

speed

task

vel

tuple wantDebugIndicator = base.config.GetBool('want-avatar-physics-indicator', 0)`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties